@font-face {
  font-family: Minecraft;
  src: url("/achievements/fonts/font.woff") format("woff"),
  url("/achievements/fonts/font.ttf") format("ttf"),
  url("/achievements/fonts/font.woff2") format("woff2");
}


.achievements-board {
  display: grid;
  width: min-content;
  margin: auto;
}

.achievements-board-max {
  width: 670px;
}

.achievements-achievement {
  background: #212121;
  border: 8px solid #555555;
  box-shadow: 0 0 0 2px black;
  border-radius: 5px;
  min-width: 490px;
  width: 670px;
  padding: 6px;
  display: flex;
  font-size: 28px;
}

.achievements-left {
  height: 100%;
  padding: 4px;
  float: left;
}

.achievements-mc-font {
  font-family: Minecraft;
}

.achievements-left>#achievement-icon {
  width: 96px  !important;;
  height: 96px !important;;
  float: right;
  margin-right: 4px;
}

.achievements-right {
  margin-right: 4px;
  width: 100%;
  float: left;
}

.achievements-top,
.achievements-bottom {
  transition: 0.125s;
  padding-left: 10px;
  width: 100%;
  margin: 4px 0 4px 0;
  border: 1px solid #111;
  box-shadow: inset 0px 1px 4px #111;
  box-sizing: border-box;
}

.achievements-top:hover,
.achievements-bottom:hover {
  box-shadow: inset 1px 1px 14px #000;
  border: 1px solid black;
}

.achievements-icon-img {
  width: 100%;
  height: 100%;
  image-rendering: crisp-edges;
}

.achievements-icon {
  display: inline-block !important;
  box-shadow: 0px 0px 4px #000;
  image-rendering: crisp-edges;
  width: 54px;
  height: 54px !important;
  padding: 6px;
  transition: 0.125s;
}

.achievements-icon:hover {
  box-shadow:  1px 1px 10px 2px #000;
}

input.achievements-title,
input.achievements-subtitle {
  background: rgba(0,0,0,0);
  border: none;
  width: 100%;
  height: 44px;
  font-family: Minecraft, serif;
  transition: 0.125s;
  box-shadow: inset 1px 1px transparent;
}

.achievements-icons {
  padding: 35px 1px 1px 1px;
  background: rgba(0,0,0,0.2);
  border-radius: 5px;
  margin-top: 8px;
  max-height: 400px;
  overflow: auto;
  text-align: center;
  position: relative;
}

.achievements-links {
  background: rgba(0,0,0,0.2);
  border-radius: 5px;
  margin-top: 8px;
  max-height: 400px;
  overflow: auto;
  padding: 8px;
}

.achievements-icon.preview {
  background: rgba(255,255,255,0.1);
  border: none;
  border-radius: 5px;
  margin: 2px;
}

.achievements-icon.preview:hover {
  border: 1px black solid;
  padding: 2px;
  box-shadow: none;
}

.achievements-content {
  margin: 0 auto;
}

.achievements-buttons {
  display: flex;
  margin-top: 4px;
}

.achievements-minecraft-button {
  width: 100%;
  outline: 2px solid black !important;
  margin: 4px 0px 4px 0;
  display: inline-block;
  background: #6f6f6f;
  font-family: Minecraft, serif;
  text-align: center;
  font-size: 24px;
  color: white;
  text-shadow: 1px 2px #4c4c4c;
  border-bottom: 4px solid #565656;
  border-right: 2px solid #565656;
  border-left: 2px solid #aaa;
  border-top: 2px solid #aaa;
}

.achievements-minecraft-button:hover {
  border-bottom: 4px solid #59639a;
  border-right: 2px solid #59639a;
  border-left: 2px solid #bdc6ff;
  border-top: 2px solid #bdc6ff;
  background: #7e88bf;
  color: #ffffa0;
}

.achievements-minecraft-button.success {
  color: yellow;
}

.achievements-minecraft-button.secondary {
  color: #CCCCCC;
}

input.achievements-title {
  color: yellow;
}

input.achievements-title::placeholder {
  color: #ffff00a6;
}

input.achievements-subtitle::placeholder {
  color: #ffffffa6;
}

input.achievements-subtitle {
  color: white;
}

.achievements-sign {
  background: url("../img/sign.png");
  position: absolute;
  top: 5%;
  right: -200px;
  height: 128px;
  width: 256px;
  padding: 8px;
  border-top: 2px solid #C09B64;
  border-bottom: 8px solid #42392B;
  box-shadow: 1px 2px 6px black;
  font-family: Minecraft, serif;
  text-align: center;
  color: black;
  font-size: 18px;
  transition: 0.125s;
}

.achievements-sign:hover {
  right: 10px;
}

.achievements-minecraft-text {
  font-family: Minecraft, serif;
  font-size: 30px;
  height: 0;
  margin: -30px -30% -20px 60%;
  text-shadow: 3px 3px 5px black;
  color: #EDED00;
  transform: rotate(10deg);
  transition: 0.125s;
}

.achievements-minecraft-text:hover {
  transform: rotate(12deg);
  font-size: 32px;
  opacity: 1;
  color: yellow;
  text-shadow: 4px 4px 6px rgba(0,0,0,0.75);
}

.achievements-goback {
  position: absolute;
  top: 1%;
  left: 1%;
  background: rgba(0,0,0,0.6);
  width: min-content;
  border-radius: 50%;
  border: 1px solid black;
  color: white;
  font-family: Minecraft, serif;
  font-size: xx-large;
  padding: 20px;
}

.achievements-page-indicator {
  position: absolute;
  top: 5px;
  right: 30px;
  color: #fff;
  font-family: Minecraft;
}

.achievements-icons-category {
  position: absolute;
  top: 5px;
  left: 30px;
  color: #fff;
  font-family: Minecraft;
}

.achievements-icons-category a {
  color: whitesmoke;
  border-bottom: 1px dashed;
  text-decoration: none;
}
.achievements-icons-category a:hover {
  border-bottom: 1px solid;
  color: yellow;
}
.achievements-icons-category a.achievements-selected {
  border-bottom: 1px solid;
}

#page_input:focus {
  background: #fff;
  color: #000;
  border: 0;
}
#page_input {
  background: transparent;
  display: inline;
  width: 60px;
  color: #fff;
  border: 0;
  border-bottom: 1px dashed #fff;
  text-align: right;
  margin-right: 8px;
}


@media screen and (max-width: 768px) {
  .achievements-content {
    padding: 0px;
  }

  .achievements-board {
    width: auto;
    margin-top: 20px;
  }

  .achievements-achievement {
    min-width: auto;
    width: 100%;
    font-size: 18px;

    box-sizing: border-box;
  }

  .achievements-left>#achievement-icon {
    width: 64px !important;;
    height: 64px !important;
  }

  input.achievements-title,
  input.achievements-subtitle {
    height: 28px;
  }

  .achievements-minecraft-button {
    font-size: 20px;
  }

  .achievements-board-max {
    width: 90vw;
  }
}

@media screen and (max-width: 380px) {
  .achievements-achievement {
    font-size: 16px;
  }

  .achievements-top, .bottom {
    padding-left: 2px;
  }

  .achievements-icon {
    height: 50px !important;
    width: 50px !important;
  }

  .achievements-board-max {
    width: 100vw;
  }

  .achievements-container {
    padding: 0;
  }
  .achievements-content {
    padding: 0;
  }
}